#
# spec file for package perl-Config-MVP-Reader-INI
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Config-MVP-Reader-INI
Version:        2.101463
Release:        1.1
%define cpan_name Config-MVP-Reader-INI
Summary:        an MVP config reader for .ini files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Config-MVP-Reader-INI/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::INI::Reader)
BuildRequires:  perl(Config::MVP) >= 2
BuildRequires:  perl(Config::MVP::Reader)
BuildRequires:  perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(Config::INI::Reader)
Requires:       perl(Config::MVP) >= 2
Requires:       perl(Config::MVP::Reader)
Requires:       perl(Config::MVP::Reader::Findable::ByExtension)
Requires:       perl(Moose)
Requires:       perl(parent)
%{perl_requires}

%description
Config::MVP::Reader::INI reads _.ini_ files containing MVP-style
configuration.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes eg LICENSE README

%changelog
* Fri Feb  6 2015 coolo@suse.com
- updated to 2.101463
  - replace base with parent
* Wed Jul 24 2013 coolo@suse.com
- updated to 2.101462
  * repackage, fix bugtracker, repo data, etc
* Mon Jan 17 2011 coolo@novell.com
- initial package 2.101461
  * created by cpanspec 1.78.03
